ibatis-user-java mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clinton Begin <clinton.be...@gmail.com>
Subject Re: When can we get next version which is "iBATIS for Java 2.3.5" ?
Date Tue, 15 Dec 2009 17:03:22 GMT
It does compile under Java 5.  That's the release it's built for.  Was your
JAVA_HOME env var set correctly?

Clinton

On Tue, Dec 15, 2009 at 9:03 AM, J.C. <jchamlin@gmail.com> wrote:

>
> First, I apologize in advance for resurrecting an old thread, but its
> content
> still seems very relevant.
>
> I went looking for an updated version of iBatis 2.3.4 that addresses this
> issue:
>
> https://issues.apache.org/jira/browse/IBATIS-517
>
> It looks like in the "release notes" for iBatis 2.3.5 it is listed as
> fixed:
>
>
> http://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=10601&styleName=Html&version=12313829
>
> However, these release notes are just generated by JIRA, and iBatis 2.3.5
> does not appear to be released yet.
>
> It has been six months since this original message, and over a year since
> the 2.3.4 release (Sept 2008). Is there any chance of getting iBatis 2.3.5
> officially released soon?
>
> I also tried downloading the source and building it. It won't compile with
> Java 6, or Java 5 (it looks like it provides implementations of
> java.sql.ResultSet and java.sql.DataSource that aren't Java 5 or Java 6
> compliant).
>
> [INFO] Compilation failure
>
>
> R:\ibatis\ibatis-2.3.5\ibatis-2-core\src\com\ibatis\sqlmap\engine\type\CallableStatementResultSet.java:[29,7]
> com.ibatis.sqlmap.engine.type.Callab
> leStatementResultSet is not abstract and does not override abstract method
> updateNClob(java.lang.String,java.io.Reader) in java.sql.ResultSet
>
>
> R:\ibatis\ibatis-2.3.5\ibatis-2-core\src\com\ibatis\common\jdbc\SimpleDataSource.java:[52,7]
> com.ibatis.common.jdbc.SimpleDataSource is not abstra
> ct and does not override abstract method isWrapperFor(java.lang.Class<?>)
> in
> java.sql.Wrapper
>
> I could try building with Java 1.4; however, Java 1.4 was end-of-life
> October 2008. FYI, Java 5 was also end-of-life October 2009.
>
> http://java.sun.com/products/archive/eol.policy.html
>
> Someone really should update the code to compile under Java 6 (maybe with a
> source=1.6 and target=1.5). If I did the work for this and submitted a
> patch, would someone apply it to the trunk (and then maybe do a release)?
>
> Thanks!
>
> -J.C.
>
> 2009/6/5 原田太輔 <keenbeauty@gmail.com>:
> > Dear  Committers
> >
> > We are using "iBATIS for java" latest release version. That's jar is
> > ibatis-2.3.4.726.jar.
> > And Now We are facing trouble in our project for ibatis-540
> > (https://issues.apache.org/jira/browse/IBATIS-540).
> >
> > Do you have any idea about when we can get next version which is
> > "iBATIS for Java 2.3.5" ?
> > https://issues.apache.org/jira/browse/IBATIS/fixforversion/12313829
> >
> >
> > Best regards.
> >
> > Dai
> >
>
>
>
> --
> View this message in context:
> http://old.nabble.com/When-can-we-get-next-version-which-is-%22iBATIS-for-Java-2.3.5%22---tp23889479p26796226.html
> Sent from the iBATIS - User - Java mailing list archive at Nabble.com.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-java-unsubscribe@ibatis.apache.org
> For additional commands, e-mail: user-java-help@ibatis.apache.org
>
>

Mime
View raw message